summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 69f2b1e3a..1faaeaeb8 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -23,6 +23,13 @@ out=0
. $topdir/.config
+if [[ -n $ADK_NATIVE ]];then
+ if [[ -n $ADK_PACKAGE_GIT ]];then
+ NEED_CURLDEV="$NEED_CURLDEV git"
+ NEED_SSLDEV="$NEED_SSLDEV git"
+ fi
+fi
+
if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
NEED_XMLTO="$NEED_XMLTO alsa-utils"
fi
@@ -60,6 +67,13 @@ if [[ -n $NEED_GETTEXT ]]; then
fi
fi
+if [[ -n $NEED_CURLDEV ]];then
+ if ! test -f /usr/include/curl/curl.h >/dev/null; then
+ echo >&2 You need curl headers to build $NEED_CURLDEV
+ out=1
+ fi
+fi
+
if [[ -n $NEED_SSLDEV ]]; then
if ! test -f /usr/lib/pkgconfig/openssl.pc >/dev/null; then
if ! test -f /usr/include/openssl/ssl.h >/dev/null; then